Index: /trunk/src/bp-core/bp-core-buddybar.php
===================================================================
--- /trunk/src/bp-core/bp-core-buddybar.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-buddybar.php	(revision 10012)
@@ -14,4 +14,69 @@
 /**
  * Add an item to the main BuddyPress navigation array.
+ *
+ * @param array|string $args {
+ *     Array describing the new nav item.
+ *     @type string      $name                    Display name for the nav item.
+ *     @type string      $slug                    Unique URL slug for the nav item.
+ *     @type bool|string $item_css_id             Optional. 'id' attribute for the nav item. Default: the value of `$slug`.
+ *     @type bool        $show_for_displayed_user Optional. Whether the nav item should be visible when viewing a
+ *                                                member profile other than your own. Default: true.
+ *     @type bool        $site_admin_only         Optional. Whether the nav item should be visible only to site admins
+ *                                                (those with the 'bp_moderate' cap). Default: false.
+ *     @type int         $position                Optional. Numerical index specifying where the item should appear in
+ *                                                the nav array. Default: 99.
+ *     @type callable    $screen_function         The callback function that will run when the nav item is clicked.
+ *     @type bool|string $default_subnav_slug     Optional. The slug of the default subnav item to select when the nav
+ *                                                item is clicked.
+ * }
+ * @return bool|null Returns false on failure.
+ */
+function bp_core_new_nav_item( $args = '' ) {
+
+	$defaults = array(
+		'name'                    => false, // Display name for the nav item
+		'slug'                    => false, // URL slug for the nav item
+		'item_css_id'             => false, // The CSS ID to apply to the HTML of the nav item
+		'show_for_displayed_user' => true,  // When viewing another user does this nav item show up?
+		'site_admin_only'         => false, // Can only site admins see this nav item?
+		'position'                => 99,    // Index of where this nav item should be positioned
+		'screen_function'         => false, // The name of the function to run when clicked
+		'default_subnav_slug'     => false  // The slug of the default subnav item to select when clicked
+	);
+
+	$r = wp_parse_args( $args, $defaults );
+
+	// First, add the nav item link to the bp_nav array.
+	$created = bp_core_create_nav_link( $r );
+
+	// To mimic the existing behavior, if bp_core_create_nav_link()
+	// returns false, we make an early exit and don't attempt to register
+	// the screen function.
+	if ( false === $created ) {
+		return false;
+	}
+
+	// Then, hook the screen function for the added nav item.
+	bp_core_register_nav_screen_function( $r );
+
+	/**
+	 * Fires after adding an item to the main BuddyPress navigation array.
+	 * Note that, when possible, the more specific action hooks
+	 * `bp_core_create_nav_link` or `bp_core_register_nav_screen_function`
+	 * should be used.
+	 *
+	 * @since BuddyPress (1.5.0)
+	 *
+	 * @param array $r        Parsed arguments for the nav item.
+	 * @param array $args     Originally passed in arguments for the nav item.
+	 * @param array $defaults Default arguments for a nav item.
+	 */
+	do_action( 'bp_core_new_nav_item', $r, $args, $defaults );
+}
+
+/**
+ * Add a link to the main BuddyPress navigation array.
+ *
+ * @since BuddyPress (2.4.0)
  *
  * @param array $args {
@@ -32,5 +97,6 @@
  * @return bool|null Returns false on failure.
  */
-function bp_core_new_nav_item( $args = '' ) {
+function bp_core_create_nav_link( $args = '' ) {
+	$bp = buddypress();
 
 	$defaults = array(
@@ -47,24 +113,42 @@
 	$r = wp_parse_args( $args, $defaults );
 
-	// First, add the nav item link to the bp_nav array.
-	$created = bp_core_create_nav_link( $r );
-
-	// To mimic the existing behavior, if bp_core_create_nav_link()
-	// returns false, we make an early exit and don't attempt to register
-	// the screen function.
-	if ( false === $created ) {
-		return false;
-	}
-
-	// Then, hook the screen function for the added nav item.
-	bp_core_register_nav_screen_function( $r );
+	// If we don't have the required info we need, don't create this nav item.
+	if ( empty( $r['name'] ) || empty( $r['slug'] ) ) {
+		return false;
+	}
+
+	// If this is for site admins only and the user is not one, don't create the nav item.
+	if ( ! empty( $r['site_admin_only'] ) && ! bp_current_user_can( 'bp_moderate' ) ) {
+		return false;
+	}
 
 	/**
-	 * Fires after adding an item to the main BuddyPress navigation array.
-	 * Note that, when possible, the more specific action hooks
-	 * `bp_core_create_nav_link` or `bp_core_register_nav_screen_function`
-	 * should be used.
+	 * If this nav item is hidden for the displayed user, and
+	 * the logged in user is not the displayed user
+	 * looking at their own profile, don't create the nav item.
+	 */
+	if ( empty( $r['show_for_displayed_user'] ) && ! bp_user_has_access() ) {
+		return false;
+	}
+
+	if ( empty( $r['item_css_id'] ) ) {
+		$r['item_css_id'] = $r['slug'];
+	}
+
+	$bp->bp_nav[$r['slug']] = array(
+		'name'                    => $r['name'],
+		'slug'                    => $r['slug'],
+		'link'                    => trailingslashit( bp_loggedin_user_domain() . $r['slug'] ),
+		'css_id'                  => $r['item_css_id'],
+		'show_for_displayed_user' => $r['show_for_displayed_user'],
+		'position'                => $r['position'],
+		'screen_function'         => &$r['screen_function'],
+		'default_subnav_slug'	  => $r['default_subnav_slug']
+	);
+
+	/**
+	 * Fires after a link is added to the main BuddyPress navigation array.
 	 *
-	 * @since BuddyPress (1.5.0)
+	 * @since BuddyPress (2.4.0)
 	 *
 	 * @param array $r        Parsed arguments for the nav item.
@@ -72,9 +156,9 @@
 	 * @param array $defaults Default arguments for a nav item.
 	 */
-	do_action( 'bp_core_new_nav_item', $r, $args, $defaults );
-}
-
-/**
- * Add a link to the main BuddyPress navigation array.
+	do_action( 'bp_core_create_nav_link', $r, $args, $defaults );
+}
+
+/**
+ * Register a screen function for an item in the main nav array.
  *
  * @since BuddyPress (2.4.0)
@@ -97,5 +181,5 @@
  * @return bool|null Returns false on failure.
  */
-function bp_core_create_nav_link( $args = '' ) {
+function bp_core_register_nav_screen_function( $args = '' ) {
 	$bp = buddypress();
 
@@ -113,88 +197,4 @@
 	$r = wp_parse_args( $args, $defaults );
 
-	// If we don't have the required info we need, don't create this nav item.
-	if ( empty( $r['name'] ) || empty( $r['slug'] ) ) {
-		return false;
-	}
-
-	// If this is for site admins only and the user is not one, don't create the nav item.
-	if ( ! empty( $r['site_admin_only'] ) && ! bp_current_user_can( 'bp_moderate' ) ) {
-		return false;
-	}
-
-	/**
-	 * If this nav item is hidden for the displayed user, and
-	 * the logged in user is not the displayed user
-	 * looking at their own profile, don't create the nav item.
-	 */
-	if ( empty( $r['show_for_displayed_user'] ) && ! bp_user_has_access() ) {
-		return false;
-	}
-
-	if ( empty( $r['item_css_id'] ) ) {
-		$r['item_css_id'] = $r['slug'];
-	}
-
-	$bp->bp_nav[$r['slug']] = array(
-		'name'                    => $r['name'],
-		'slug'                    => $r['slug'],
-		'link'                    => trailingslashit( bp_loggedin_user_domain() . $r['slug'] ),
-		'css_id'                  => $r['item_css_id'],
-		'show_for_displayed_user' => $r['show_for_displayed_user'],
-		'position'                => $r['position'],
-		'screen_function'         => &$r['screen_function'],
-		'default_subnav_slug'	  => $r['default_subnav_slug']
-	);
-
-	/**
-	 * Fires after a link is added to the main BuddyPress navigation array.
-	 *
-	 * @since BuddyPress (2.4.0)
-	 *
-	 * @param array $r        Parsed arguments for the nav item.
-	 * @param array $args     Originally passed in arguments for the nav item.
-	 * @param array $defaults Default arguments for a nav item.
-	 */
-	do_action( 'bp_core_create_nav_link', $r, $args, $defaults );
-}
-
-/**
- * Register a screen function for an item in the main nav array.
- *
- * @since BuddyPress (2.4.0)
- *
- * @param array $args {
- *     Array describing the new nav item.
- *     @type string      $name                    Display name for the nav item.
- *     @type string      $slug                    Unique URL slug for the nav item.
- *     @type bool|string $item_css_id             Optional. 'id' attribute for the nav item. Default: the value of `$slug`.
- *     @type bool        $show_for_displayed_user Optional. Whether the nav item should be visible when viewing a
- *                                                member profile other than your own. Default: true.
- *     @type bool        $site_admin_only         Optional. Whether the nav item should be visible only to site admins
- *                                                (those with the 'bp_moderate' cap). Default: false.
- *     @type int         $position                Optional. Numerical index specifying where the item should appear in
- *                                                the nav array. Default: 99.
- *     @type callable    $screen_function         The callback function that will run when the nav item is clicked.
- *     @type bool|string $default_subnav_slug     Optional. The slug of the default subnav item to select when the nav
- *                                                item is clicked.
- * }
- * @return bool|null Returns false on failure.
- */
-function bp_core_register_nav_screen_function( $args = '' ) {
-	$bp = buddypress();
-
-	$defaults = array(
-		'name'                    => false, // Display name for the nav item
-		'slug'                    => false, // URL slug for the nav item
-		'item_css_id'             => false, // The CSS ID to apply to the HTML of the nav item
-		'show_for_displayed_user' => true,  // When viewing another user does this nav item show up?
-		'site_admin_only'         => false, // Can only site admins see this nav item?
-		'position'                => 99,    // Index of where this nav item should be positioned
-		'screen_function'         => false, // The name of the function to run when clicked
-		'default_subnav_slug'     => false  // The slug of the default subnav item to select when clicked
-	);
-
-	$r = wp_parse_args( $args, $defaults );
-
 	// If we don't have the required info we need, don't register this screen function.
 	if ( empty( $r['slug'] ) ) {
@@ -250,7 +250,7 @@
 				 * @since BuddyPress (1.5.0)
 				 *
-				 * @param string $default_subnav_slug The slug of the default subnav item
-				 *                                    to select when clicked.
-				 * @param array  $r                   Parsed arguments for the nav item.
+				 * @param string $value The slug of the default subnav item
+				 *                      to select when clicked.
+				 * @param array  $r     Parsed arguments for the nav item.
 				 */
 				$bp->current_action = apply_filters( 'bp_default_component_subnav', $r['default_subnav_slug'], $r );
@@ -275,5 +275,5 @@
  * Modify the default subnav item that loads when a top level nav item is clicked.
  *
- * @param array $args {
+ * @param array|string $args {
  *     @type string   $parent_slug     The slug of the nav item whose default is being changed.
  *     @type callable $screen_function The new default callback function that will run when the nav item is clicked.
@@ -379,5 +379,5 @@
  * Add a subnav item to the BuddyPress navigation.
  *
- * @param array $args {
+ * @param array|string $args {
  *     Array describing the new subnav item.
  *     @type string      $name              Display name for the subnav item.
@@ -423,30 +423,31 @@
  * Add a subnav link to the BuddyPress navigation.
  *
- * @param array $args {
+ * @param array|string $args {
  *     Array describing the new subnav item.
- *     @type string $name Display name for the subnav item.
- *     @type string $slug Unique URL slug for the subnav item.
- *     @type string $parent_slug Slug of the top-level nav item under which the
- *           new subnav item should be added.
- *     @type string $parent_url URL of the parent nav item.
- *     @type bool|string $item_css_id Optional. 'id' attribute for the nav
- *           item. Default: the value of $slug.
- *     @type bool $user_has_access Optional. True if the logged-in user has
- *           access to the subnav item, otherwise false. Can be set dynamically
- *           when registering the subnav; eg, use bp_is_my_profile() to restrict
- *           access to profile owners only. Default: true.
- *     @type bool $site_admin_only Optional. Whether the nav item should be
- *           visible only to site admins (those with the 'bp_moderate' cap).
- *           Default: false.
- *     @type int $position Optional. Numerical index specifying where the item
- *           should appear in the subnav array. Default: 90.
- *     @type callable $screen_function The callback function that will run
- *           when the nav item is clicked.
- *     @type string $link Optional. The URL that the subnav item should point
- *           to. Defaults to a value generated from the $parent_url + $slug.
- *     @type bool $show_in_admin_bar Optional. Whether the nav item should be
- *           added into the group's "Edit" Admin Bar menu for group admins.
- *           Default: false.
+ *     @type string      $name              Display name for the subnav item.
+ *     @type string      $slug              Unique URL slug for the subnav item.
+ *     @type string      $parent_slug       Slug of the top-level nav item under which the
+ *                                          new subnav item should be added.
+ *     @type string      $parent_url        URL of the parent nav item.
+ *     @type bool|string $item_css_id       Optional. 'id' attribute for the nav
+ *                                          item. Default: the value of $slug.
+ *     @type bool        $user_has_access   Optional. True if the logged-in user has access to the
+ *                                          subnav item, otherwise false. Can be set dynamically
+ *                                          when registering the subnav; eg, use bp_is_my_profile()
+ *                                          to restrict access to profile owners only. Default: true.
+ *     @type bool        $site_admin_only   Optional. Whether the nav item should be visible only
+ *                                          to site admins (those with the 'bp_moderate' cap).
+ *                                          Default: false.
+ *     @type int         $position          Optional. Numerical index specifying where the item
+ *                                          should appear in the subnav array. Default: 90.
+ *     @type callable    $screen_function   The callback function that will run
+ *                                          when the nav item is clicked.
+ *     @type string      $link              Optional. The URL that the subnav item should point
+ *                                          to. Defaults to a value generated from the $parent_url + $slug.
+ *     @type bool        $show_in_admin_bar Optional. Whether the nav item should be added into
+ *                                          the group's "Edit" Admin Bar menu for group admins.
+ *                                          Default: false.
  * }
+ *
  * @return bool|null Returns false on failure.
  */
@@ -510,27 +511,28 @@
  * Register a screen function, whether or not a related subnav link exists.
  *
- * @param array $args {
+ * @param array|string $args {
  *     Array describing the new subnav item.
- *     @type string $slug Unique URL slug for the subnav item.
- *     @type string $parent_slug Slug of the top-level nav item under which the
- *           new subnav item should be added.
- *     @type string $parent_url URL of the parent nav item.
- *     @type bool $user_has_access Optional. True if the logged-in user has
- *           access to the subnav item, otherwise false. Can be set dynamically
- *           when registering the subnav; eg, use bp_is_my_profile() to restrict
- *           access to profile owners only. Default: true.
- *     @type bool $site_admin_only Optional. Whether the nav item should be
- *           visible only to site admins (those with the 'bp_moderate' cap).
- *           Default: false.
- *     @type int $position Optional. Numerical index specifying where the item
- *           should appear in the subnav array. Default: 90.
- *     @type callable $screen_function The callback function that will run
- *           when the nav item is clicked.
- *     @type string $link Optional. The URL that the subnav item should point
- *           to. Defaults to a value generated from the $parent_url + $slug.
- *     @type bool $show_in_admin_bar Optional. Whether the nav item should be
- *           added into the group's "Edit" Admin Bar menu for group admins.
- *           Default: false.
+ *     @type string   $slug              Unique URL slug for the subnav item.
+ *     @type string   $parent_slug       Slug of the top-level nav item under which the
+ *                                       new subnav item should be added.
+ *     @type string   $parent_url        URL of the parent nav item.
+ *     @type bool     $user_has_access   Optional. True if the logged-in user has access to the
+ *                                       subnav item, otherwise false. Can be set dynamically
+ *                                       when registering the subnav; eg, use bp_is_my_profile()
+ *                                       to restrict access to profile owners only. Default: true.
+ *     @type bool     $site_admin_only   Optional. Whether the nav item should be visible
+ *                                       only to site admins (those with the 'bp_moderate' cap).
+ *                                       Default: false.
+ *     @type int      $position          Optional. Numerical index specifying where the item
+ *                                       should appear in the subnav array. Default: 90.
+ *     @type callable $screen_function   The callback function that will run
+ *                                       when the nav item is clicked.
+ *     @type string   $link              Optional. The URL that the subnav item should point to.
+ *                                       Defaults to a value generated from the $parent_url + $slug.
+ *     @type bool     $show_in_admin_bar Optional. Whether the nav item should be added into
+ *                                       the group's "Edit" Admin Bar menu for group admins.
+ *                                       Default: false.
  * }
+ *
  * @return bool|null Returns false on failure.
  */
@@ -592,4 +594,5 @@
  *
  * @param array $subnav_item The subnav array added to bp_options_nav in `bp_core_new_subnav_item()`.
+ *
  * @return array
  */
@@ -724,4 +727,5 @@
  * @param string $nav_item The slug of the top-level nav item whose subnav items you're checking.
  *                         Default: the current component slug.
+ *
  * @return bool $has_subnav True if the nav item is found and has subnav items; false otherwise.
  */
@@ -749,5 +753,6 @@
  *
  * @param int $parent_id The slug of the parent navigation item.
- * @param bool Returns false on failure, ie if the nav item can't be found.
+ *
+ * @return bool Returns false on failure, ie if the nav item can't be found.
  */
 function bp_core_remove_nav_item( $parent_id ) {
@@ -823,4 +828,5 @@
  * @param string $context Context of this preference check. 'admin' or 'front'.
  * @param int    $user    Optional. ID of the user to check. Default: 0 (which falls back to the logged-in user's ID).
+ *
  * @return bool True if the toolbar should be showing for this user.
  */
Index: /trunk/src/bp-core/bp-core-cache.php
===================================================================
--- /trunk/src/bp-core/bp-core-cache.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-cache.php	(revision 10012)
@@ -17,4 +17,6 @@
  * When wp-super-cache is installed this function will clear cached pages
  * so that success/error messages are not cached, or time sensitive content.
+ *
+ * @return int
  */
 function bp_core_clear_cache() {
@@ -35,4 +37,6 @@
 /**
  * Clear all cached objects for a user, or those that a user is part of.
+ *
+ * @param string $user_id
  */
 function bp_core_clear_user_object_cache( $user_id ) {
@@ -126,6 +130,7 @@
  * @since BuddyPress (2.0.0)
  *
- * @param array $item_ids ID list.
+ * @param array  $item_ids    ID list.
  * @param string $cache_group The cache group to check against.
+ *
  * @return array
  */
@@ -154,18 +159,19 @@
  * @since BuddyPress (1.6.0)
  *
- * @global $wpdb WordPress database object for queries..
+ * @global object $wpdb WordPress database object for queries..
  *
  * @param array $args {
  *     Array of arguments.
- *     @type array|string $object_ids List of object IDs to fetch metadata for.
- *           Accepts an array or a comma-separated list of numeric IDs.
- *     @type string $object_type The type of object, eg 'groups' or 'activity'.
- *     @type string $meta_table The name of the metadata table being queried.
- *     @type string $object_column Optional. The name of the database column
- *           where IDs (those provided by $object_ids) are found. Eg, 'group_id'
- *           for the groups metadata tables. Default: $object_type . '_id'.
- *     @type string $cache_key_prefix Optional. The prefix to use when creating
- *           cache key names. Default: the value of $meta_table.
+ *     @type array|string $object_ids       List of object IDs to fetch metadata for.
+ *                                          Accepts an array or a comma-separated list of numeric IDs.
+ *     @type string       $object_type      The type of object, eg 'groups' or 'activity'.
+ *     @type string       $meta_table       The name of the metadata table being queried.
+ *     @type string       $object_column    Optional. The name of the database column where IDs
+ *                                          (those provided by $object_ids) are found. Eg, 'group_id'
+ *                                          for the groups metadata tables. Default: $object_type . '_id'.
+ *     @type string       $cache_key_prefix Optional. The prefix to use when creating
+ *                                          cache key names. Default: the value of $meta_table.
  * }
+ *
  * @return array|bool Metadata cache for the specified objects, or false on failure.
  */
@@ -180,5 +186,5 @@
 		'object_column'    => '',      // DB column for the object ids (group_id, etc)
 		'cache_key_prefix' => ''       // Prefix to use when creating cache key names. Eg
-					       //    'bp_groups_groupmeta'
+					                   // 'bp_groups_groupmeta'
 	);
 	$r = wp_parse_args( $args, $defaults );
Index: /trunk/src/bp-core/bp-core-caps.php
===================================================================
--- /trunk/src/bp-core/bp-core-caps.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-caps.php	(revision 10012)
@@ -12,5 +12,5 @@
 
 /**
- * Return an array of roles from the currently loaded blog
+ * Return an array of roles from the currently loaded blog.
  *
  * WordPress roles are dynamically flipped when calls to switch_to_blog() and
@@ -133,8 +133,9 @@
  *       args.
  *
- * @param array $caps See {@link WP_User::has_cap()}.
- * @param string $cap See {@link WP_User::has_cap()}.
- * @param int $user_id See {@link WP_User::has_cap()}.
- * @param mixed $args See {@link WP_User::has_cap()}.
+ * @param array  $caps    See {@link WP_User::has_cap()}.
+ * @param string $cap     See {@link WP_User::has_cap()}.
+ * @param int    $user_id See {@link WP_User::has_cap()}.
+ * @param mixed  $args    See {@link WP_User::has_cap()}.
+ *
  * @return array Actual capabilities for meta capability. See {@link WP_User::has_cap()}.
  */
@@ -186,4 +187,5 @@
  *
  * @param string $role The role for which you're loading caps.
+ *
  * @return array Capabilities for $role.
  */
@@ -273,4 +275,5 @@
  *     @type mixed $a,...   Optional. Extra arguments applicable to the capability check.
  * }
+ *
  * @return bool True if the user has the cap for the given parameters.
  */
@@ -335,7 +338,9 @@
  * @see WP_User::has_cap()
  *
- * @param array $allcaps The caps that WP associates with the given role.
- * @param array $caps The caps being tested for in WP_User::has_cap().
- * @param array $args Miscellaneous arguments passed to the user_has_cap filter.
+ * @param array  $caps    The caps that WP associates with the given role.
+ * @param string $cap     The caps being tested for in WP_User::has_cap().
+ * @param int    $user_id ID of the user being checked against.
+ * @param array  $args    Miscellaneous arguments passed to the user_has_cap filter.
+ *
  * @return array $allcaps The user's cap list, with 'bp_moderate' appended, if relevant.
  */
Index: /trunk/src/bp-core/bp-core-catchuri.php
===================================================================
--- /trunk/src/bp-core/bp-core-catchuri.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-catchuri.php	(revision 10012)
@@ -370,4 +370,5 @@
  *
  * @param array $templates Array of templates to attempt to load.
+ *
  * @return bool|null Returns false on failure.
  */
@@ -518,15 +519,14 @@
  * @since BuddyPress (1.5.0)
  *
- * @param array $args {
- *     @type int $mode Specifies the destination of the redirect. 1 will
- *           direct to the root domain (home page), which assumes you have a
- *           log-in form there; 2 directs to wp-login.php. Default: 2.
- *     @type string $redirect The URL the user will be redirected to after
- *           successfully logging in. Default: the URL originally requested.
- *     @type string $root The root URL of the site, used in case of error or
- *           mode 1 redirects. Default: the value of {@link bp_get_root_domain()}.
- *     @type string $message An error message to display to the user on the
- *           log-in page. Default: "You must log in to access the page you
- *           requested."
+ * @param array|string $args {
+ *     @type int    $mode     Specifies the destination of the redirect. 1 will
+ *                            direct to the root domain (home page), which assumes you have a
+ *                            log-in form there; 2 directs to wp-login.php. Default: 2.
+ *     @type string $redirect The URL the user will be redirected to after successfully
+ *                            logging in. Default: the URL originally requested.
+ *     @type string $root     The root URL of the site, used in case of error or mode 1 redirects.
+ *                            Default: the value of {@link bp_get_root_domain()}.
+ *     @type string $message  An error message to display to the user on the log-in page.
+ *                            Default: "You must log in to access the page you requested."
  * }
  */
@@ -606,5 +606,5 @@
  * @since BuddyPress (1.5.0)
  *
- * @global $error Error message to pass to wp-login.php
+ * @global string $error Error message to pass to wp-login.php.
  */
 function bp_core_no_access_wp_login_error() {
@@ -716,6 +716,7 @@
  *     Optional array of arguments.
  *     @type bool $include_query_args Whether to include current URL arguments
- *           in the canonical URL returned from the function.
+ *                                    in the canonical URL returned from the function.
  * }
+ *
  * @return string Canonical URL for the current page.
  */
